Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTextUI.BasicCaret

    java.lang.Object
      |
      +--java.awt.Rectangle
            |
            +--javax.swing.text.DefaultCaret
                  |
                  +--javax.swing.plaf.basic.BasicTextUI.BasicCaret

public static class BasicTextUI.BasicCaret
extends DefaultCaret
implements UIResource

See Also:
  Serialized Form

Fields inherited from class javax.swing.text.DefaultCaret
`changeEvent, listenerList`

Fields inherited from class java.awt.Rectangle
`height, width, x, y`

Constructor Summary
`BasicTextUI.BasicCaret()`

Methods inherited from class javax.swing.text.DefaultCaret
`addChangeListener, adjustVisibility, damage, deinstall, fireStateChanged, focusGained, focusLost, getBlinkRate, getComponent, getDot, getMagicCaretPosition, getMark, getSelectionPainter, install, isSelectionVisible, isVisible, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, moveCaret, moveDot, paint, positionCaret, removeChangeListener, repaint, setBlinkRate, setDot, setMagicCaretPosition, setSelectionVisible, setVisible, toString`

Methods inherited from class java.awt.Rectangle
`add, add, add, contains, contains, equals, getBounds, getLocation, getSize, grow, hashCode, inside, intersection, intersects, isEmpty, move, reshape, resize, setBounds, setBounds, setLocation, setLocation, setSize, setSize, translate, union`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicTextUI.BasicCaret

    public BasicTextUI.BasicCaret()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.